Skip to content
Start here

Initiate video uploads using TUS

stream.create(StreamCreateParams**kwargs)
POST/accounts/{account_id}/stream

Initiates a video upload using the TUS protocol. On success, the server responds with a status code 201 (created) and includes a location header to indicate where the content should be uploaded. Refer to https://tus.io for protocol details.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream Write
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
body: object
tus_resumable: Literal["1.0.0"]

Specifies the TUS protocol version. This value must be included in every upload request. Notes: The only supported version of TUS protocol is 1.0.0.

upload_length: int

Indicates the size of the entire upload in bytes. The value must be a non-negative integer.

minimum0
direct_user: Optional[bool]

Provisions a URL to let your end users upload videos directly to Cloudflare Stream without exposing your API token to clients.

upload_creator: Optional[str]

A user-defined identifier for the media creator.

maxLength64
upload_metadata: Optional[str]

Comma-separated key-value pairs following the TUS protocol specification. Values are Base-64 encoded. Supported keys: name, requiresignedurls, allowedorigins, thumbnailtimestamppct, watermark, scheduleddeletion, maxdurationseconds.

Initiate video uploads using TUS

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.stream.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    body={},
    tus_resumable="1.0.0",
    upload_length=0,
)
{}
Returns Examples
{}